1 (edited by billybons2006 2010-06-02 22:25:48)

Topic: Problems when migrate from 0.5.1 to 0.6.0

I migrated from 0.5.1 to 0.6.0 as described in http://iredmail.org/wiki/index.php?titl … 5.1-0.6.0.

I use OpenLDAP, not MySQL. I was facing with problems when I was trying to update phpLdapAdmin. In the http://iredmail.org/wiki/index.php?titl … to_1.2.0.5 said that config file of phpLdapAdmin 1.1.0.7 is similar v.1.2.0.5...

BUT!

If I simple copy 'config.php' from old version to 1.2.0.5 I see the error in my browser:

*******
Fatal error: Class 'LDAPServers' not found in /var/www/phpldapadmin-1.2.0.5/config/config.php on line 158
*******

and if I use config from new version (1.2.0.5) I see similar messages:

*******
Automatically removed objectClass from template
Courier Mail: Alias: courierMailAlias removed from template as it is not defined in the schema
Automatically removed objectClass from template
Samba: Group Mapping: sambaGroupMapping removed from template as it is not defined in the schema
******
... when I login into phpLdapAdmin and start to work with objects.

So, I believe, that config files of version 1.2 and 1.1 are not such similar as it said in manual. May be I wrong?

Now only way to use old 1.1.0.7 version, but it's not good!

Please, help me!

PS: Sorry for my English!!!!!

2

Re: Problems when migrate from 0.5.1 to 0.6.0

Fixed. Thanks for your remind. smile
http://iredmail.org/wiki/index.php?titl … to_1.2.0.5

3

Re: Problems when migrate from 0.5.1 to 0.6.0

Thanks a lot! I'll check this tomorrow.